DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTCompensatorSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTCompensatorSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9) More...
OFCondition | getCompensatorColumns (OFString &value, const signed long pos=0) const
| get CompensatorColumns (300a,00e8) More...
OFCondition | getCompensatorColumns (Sint32 &value, const unsigned long pos=0) const
| get CompensatorColumns (300a,00e8) More...
OFCondition | getCompensatorDescription (OFString &value, const signed long pos=0) const
| get CompensatorDescription (300a,02eb) More...
OFCondition | getCompensatorDivergence (OFString &value, const signed long pos=0) const
| get CompensatorDivergence (300a,02e0) More...
OFCondition | getCompensatorID (OFString &value, const signed long pos=0) const
| get CompensatorID (300a,00e5) More...
OFCondition | getCompensatorMountingPosition (OFString &value, const signed long pos=0) const
| get CompensatorMountingPosition (300a,02e1) More...
OFCondition | getCompensatorNumber (OFString &value, const signed long pos=0) const
| get CompensatorNumber (300a,00e4) More...
OFCondition | getCompensatorNumber (Sint32 &value, const unsigned long pos=0) const
| get CompensatorNumber (300a,00e4) More...
OFCondition | getCompensatorPixelSpacing (OFString &value, const signed long pos=0) const
| get CompensatorPixelSpacing (300a,00e9) More...
OFCondition | getCompensatorPixelSpacing (Float64 &value, const unsigned long pos=0) const
| get CompensatorPixelSpacing (300a,00e9) More...
OFCondition | getCompensatorPixelSpacing (OFVector< Float64 > &value) const
| get CompensatorPixelSpacing (300a,00e9) More...
OFCondition | getCompensatorPosition (OFString &value, const signed long pos=0) const
| get CompensatorPosition (300a,00ea) More...
OFCondition | getCompensatorPosition (Float64 &value, const unsigned long pos=0) const
| get CompensatorPosition (300a,00ea) More...
OFCondition | getCompensatorPosition (OFVector< Float64 > &value) const
| get CompensatorPosition (300a,00ea) More...
OFCondition | getCompensatorRows (OFString &value, const signed long pos=0) const
| get CompensatorRows (300a,00e7) More...
OFCondition | getCompensatorRows (Sint32 &value, const unsigned long pos=0) const
| get CompensatorRows (300a,00e7) More...
OFCondition | getCompensatorThicknessData (OFString &value, const signed long pos=0) const
| get CompensatorThicknessData (300a,00ec) More...
OFCondition | getCompensatorThicknessData (Float64 &value, const unsigned long pos=0) const
| get CompensatorThicknessData (300a,00ec) More...
OFCondition | getCompensatorThicknessData (OFVector< Float64 > &value) const
| get CompensatorThicknessData (300a,00ec) More...
OFCondition | getCompensatorTransmissionData (OFString &value, const signed long pos=0) const
| get CompensatorTransmissionData (300a,00eb) More...
OFCondition | getCompensatorTransmissionData (Float64 &value, const unsigned long pos=0) const
| get CompensatorTransmissionData (300a,00eb) More...
OFCondition | getCompensatorTransmissionData (OFVector< Float64 > &value) const
| get CompensatorTransmissionData (300a,00eb) More...
OFCondition | getCompensatorTrayID (OFString &value, const signed long pos=0) const
| get CompensatorTrayID (300a,00ef) More...
OFCondition | getCompensatorType (OFString &value, const signed long pos=0) const
| get CompensatorType (300a,00ee) More...
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1) More...
OFCondition | getSourceToCompensatorDistance (OFString &value, const signed long pos=0) const
| get SourceToCompensatorDistance (300a,02e2) More...
OFCondition | getSourceToCompensatorDistance (Float64 &value, const unsigned long pos=0) const
| get SourceToCompensatorDistance (300a,02e2) More...
OFCondition | getSourceToCompensatorDistance (OFVector< Float64 > &value) const
| get SourceToCompensatorDistance (300a,02e2) More...
OFCondition | getSourceToCompensatorTrayDistance (OFString &value, const signed long pos=0) const
| get SourceToCompensatorTrayDistance (300a,00e6) More...
OFCondition | getSourceToCompensatorTrayDistance (Float64 &value, const unsigned long pos=0) const
| get SourceToCompensatorTrayDistance (300a,00e6) More...
OFCondition | getTrayAccessoryCode (OFString &value, const signed long pos=0) const
| get TrayAccessoryCode (300a,0355) More...
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9) More...
OFCondition | setCompensatorColumns (const OFString &value, const OFBool check=OFTrue)
| set CompensatorColumns (300a,00e8) More...
OFCondition | setCompensatorDescription (const OFString &value, const OFBool check=OFTrue)
| set CompensatorDescription (300a,02eb) More...
OFCondition | setCompensatorDivergence (const OFString &value, const OFBool check=OFTrue)
| set CompensatorDivergence (300a,02e0) More...
OFCondition | setCompensatorID (const OFString &value, const OFBool check=OFTrue)
| set CompensatorID (300a,00e5) More...
OFCondition | setCompensatorMountingPosition (const OFString &value, const OFBool check=OFTrue)
| set CompensatorMountingPosition (300a,02e1) More...
OFCondition | setCompensatorNumber (const OFString &value, const OFBool check=OFTrue)
| set CompensatorNumber (300a,00e4) More...
OFCondition | setCompensatorPixelSpacing (const OFString &value, const OFBool check=OFTrue)
| set CompensatorPixelSpacing (300a,00e9) More...
OFCondition | setCompensatorPosition (const OFString &value, const OFBool check=OFTrue)
| set CompensatorPosition (300a,00ea) More...
OFCondition | setCompensatorRows (const OFString &value, const OFBool check=OFTrue)
| set CompensatorRows (300a,00e7) More...
OFCondition | setCompensatorThicknessData (const OFString &value, const OFBool check=OFTrue)
| set CompensatorThicknessData (300a,00ec) More...
OFCondition | setCompensatorTransmissionData (const OFString &value, const OFBool check=OFTrue)
| set CompensatorTransmissionData (300a,00eb) More...
OFCondition | setCompensatorTrayID (const OFString &value, const OFBool check=OFTrue)
| set CompensatorTrayID (300a,00ef) More...
OFCondition | setCompensatorType (const OFString &value, const OFBool check=OFTrue)
| set CompensatorType (300a,00ee) More...
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1) More...
OFCondition | setSourceToCompensatorDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceToCompensatorDistance (300a,02e2) More...
OFCondition | setSourceToCompensatorTrayDistance (const OFString &value, const OFBool check=OFTrue)
| set SourceToCompensatorTrayDistance (300a,00e6) More...
OFCondition | setTrayAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set TrayAccessoryCode (300a,0355) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmIntegerString | CompensatorColumns
| CompensatorColumns (300a,00e8) vr=IS, vm=1, type=1.
DcmLongText | CompensatorDescription
| CompensatorDescription (300a,02eb) vr=LT, vm=1, type=3.
DcmCodeString | CompensatorDivergence
| CompensatorDivergence (300a,02e0) vr=CS, vm=1, type=3.
DcmShortString | CompensatorID
| CompensatorID (300a,00e5) vr=SH, vm=1, type=3.
DcmCodeString | CompensatorMountingPosition
| CompensatorMountingPosition (300a,02e1) vr=CS, vm=1, type=3.
DcmIntegerString | CompensatorNumber
| CompensatorNumber (300a,00e4) vr=IS, vm=1, type=1C.
DcmDecimalString | CompensatorPixelSpacing
| CompensatorPixelSpacing (300a,00e9) vr=DS, vm=2, type=1.
DcmDecimalString | CompensatorPosition
| CompensatorPosition (300a,00ea) vr=DS, vm=2, type=1.
DcmIntegerString | CompensatorRows
| CompensatorRows (300a,00e7) vr=IS, vm=1, type=1.
DcmDecimalString | CompensatorThicknessData
| CompensatorThicknessData (300a,00ec) vr=DS, vm=1-n, type=1C.
DcmDecimalString | CompensatorTransmissionData
| CompensatorTransmissionData (300a,00eb) vr=DS, vm=1-n, type=1C.
DcmShortString | CompensatorTrayID
| CompensatorTrayID (300a,00ef) vr=SH, vm=1, type=3.
DcmCodeString | CompensatorType
| CompensatorType (300a,00ee) vr=CS, vm=1, type=3.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=2C.
DcmDecimalString | SourceToCompensatorDistance
| SourceToCompensatorDistance (300a,02e2) vr=DS, vm=1-n, type=1C.
DcmDecimalString | SourceToCompensatorTrayDistance
| SourceToCompensatorTrayDistance (300a,00e6) vr=DS, vm=1, type=2.
DcmLongString | TrayAccessoryCode
| TrayAccessoryCode (300a,0355) vr=LO, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTCompensatorSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTCompensatorSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTCompensatorSequence::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorColumns() [1/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorColumns | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorColumns (300a,00e8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorColumns() [2/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorColumns | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorColumns (300a,00e8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorDescription()

OFCondition DRTCompensatorSequence::Item::getCompensatorDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorDescription (300a,02eb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorDivergence()

OFCondition DRTCompensatorSequence::Item::getCompensatorDivergence | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorDivergence (300a,02e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorID()

OFCondition DRTCompensatorSequence::Item::getCompensatorID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorID (300a,00e5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorMountingPosition()

OFCondition DRTCompensatorSequence::Item::getCompensatorMountingPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorMountingPosition (300a,02e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorNumber() [1/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorNumber (300a,00e4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorNumber() [2/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorNumber (300a,00e4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [1/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [2/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPixelSpacing | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [3/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPixelSpacing | ( | OFVector< Float64 > & | value | ) | const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [1/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [2/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [3/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorPosition | ( | OFVector< Float64 > & | value | ) | const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorRows() [1/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorRows | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorRows (300a,00e7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorRows() [2/2]

OFCondition DRTCompensatorSequence::Item::getCompensatorRows | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorRows (300a,00e7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [1/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorThicknessData | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [2/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorThicknessData | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [3/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorThicknessData | ( | OFVector< Float64 > & | value | ) | const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorTransmissionData() [1/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorTransmissionData | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CompensatorTransmissionData (300a,00eb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorTransmissionData() [2/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorTransmissionData | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorTransmissionData (300a,00eb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorTransmissionData() [3/3]

OFCondition DRTCompensatorSequence::Item::getCompensatorTransmissionData | ( | OFVector< Float64 > & | value | ) | const

get CompensatorTransmissionData (300a,00eb)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorTrayID()

OFCondition DRTCompensatorSequence::Item::getCompensatorTrayID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorTrayID (300a,00ef)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorType()

OFCondition DRTCompensatorSequence::Item::getCompensatorType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CompensatorType (300a,00ee)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTCompensatorSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToCompensatorDistance() [1/3]

OFCondition DRTCompensatorSequence::Item::getSourceToCompensatorDistance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceToCompensatorDistance (300a,02e2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToCompensatorDistance() [2/3]

OFCondition DRTCompensatorSequence::Item::getSourceToCompensatorDistance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceToCompensatorDistance (300a,02e2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToCompensatorDistance() [3/3]

OFCondition DRTCompensatorSequence::Item::getSourceToCompensatorDistance | ( | OFVector< Float64 > & | value | ) | const

get SourceToCompensatorDistance (300a,02e2)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToCompensatorTrayDistance() [1/2]

OFCondition DRTCompensatorSequence::Item::getSourceToCompensatorTrayDistance | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SourceToCompensatorTrayDistance (300a,00e6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourceToCompensatorTrayDistance() [2/2]

OFCondition DRTCompensatorSequence::Item::getSourceToCompensatorTrayDistance | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SourceToCompensatorTrayDistance (300a,00e6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTrayAccessoryCode()

OFCondition DRTCompensatorSequence::Item::getTrayAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get TrayAccessoryCode (300a,0355)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTCompensatorSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTCompensatorSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTCompensatorSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTCompensatorSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTCompensatorSequence::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorColumns()

OFCondition DRTCompensatorSequence::Item::setCompensatorColumns | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorColumns (300a,00e8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorDescription()

OFCondition DRTCompensatorSequence::Item::setCompensatorDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorDescription (300a,02eb)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorDivergence()

OFCondition DRTCompensatorSequence::Item::setCompensatorDivergence | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorDivergence (300a,02e0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorID()

OFCondition DRTCompensatorSequence::Item::setCompensatorID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorID (300a,00e5)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorMountingPosition()

OFCondition DRTCompensatorSequence::Item::setCompensatorMountingPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorMountingPosition (300a,02e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorNumber()

OFCondition DRTCompensatorSequence::Item::setCompensatorNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorNumber (300a,00e4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorPixelSpacing()

OFCondition DRTCompensatorSequence::Item::setCompensatorPixelSpacing | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorPixelSpacing (300a,00e9)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorPosition()

OFCondition DRTCompensatorSequence::Item::setCompensatorPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorPosition (300a,00ea)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorRows()

OFCondition DRTCompensatorSequence::Item::setCompensatorRows | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorRows (300a,00e7)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorThicknessData()

OFCondition DRTCompensatorSequence::Item::setCompensatorThicknessData | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorThicknessData (300a,00ec)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorTransmissionData()

OFCondition DRTCompensatorSequence::Item::setCompensatorTransmissionData | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorTransmissionData (300a,00eb)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorTrayID()

OFCondition DRTCompensatorSequence::Item::setCompensatorTrayID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorTrayID (300a,00ef)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorType()

OFCondition DRTCompensatorSequence::Item::setCompensatorType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CompensatorType (300a,00ee)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTCompensatorSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToCompensatorDistance()

OFCondition DRTCompensatorSequence::Item::setSourceToCompensatorDistance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceToCompensatorDistance (300a,02e2)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSourceToCompensatorTrayDistance()

OFCondition DRTCompensatorSequence::Item::setSourceToCompensatorTrayDistance | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SourceToCompensatorTrayDistance (300a,00e6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTrayAccessoryCode()

OFCondition DRTCompensatorSequence::Item::setTrayAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set TrayAccessoryCode (300a,0355)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTCompensatorSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcos.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1